<?php
// $Id: uc_price_visibility.admin.inc,v 1.1 2010/07/05 20:47:06 joelstein Exp $

/**
 * Settings form.
 */
function uc_price_visibility_settings(&$form_state) {
  $form['uc_price_visibility_default'] = array(
    '#type' => 'checkbox',
    '#title' => t('Allow anonymous users to view price and add product to the cart (default value)'),
    '#description' => t('The default value when editing a product.'),
    '#default_value' => variable_get('uc_price_visibility_default', 0),
  );
  $form['uc_price_visibility_message'] = array(
    '#type' => 'textarea',
    '#title' => t('Message to be shown when price is hidden'),
    '#default_value' => variable_get('uc_price_visibility_message', ''),
  );
  $form['uc_price_visibility_message_field'] = array(
    '#type' => 'select',
    '#title' => t('Field displaying the "hidden price" message'),
    '#options' => array(
      'display_price' => t('Display price'),
      'sell_price' => t('Sell price'),
      'add_to_cart' => t('Add to card button'),
    ),
    '#default_value' => variable_get('uc_price_visibility_message_field', 'sell_price'),
  );
  return system_settings_form($form);
}
